// Version: $Id: 36eab1e62e7cb46c7fb9e1a04716ba4a10e9a04f $
//
//

// Commentary:
//
//

// Change Log:
//
//

// Code:

#pragma once

#include <dtkTest>

class dtkComposerTransmitterTestCase : public QObject
{
    Q_OBJECT

private slots:
    void initTestCase(void);
    void init(void);

private slots:
    void testAtomicType(void);
    void testComplexType(void);
    void testLinks(void);
    void testProxyLoop(void);
    void testProxyVariant(void);
    void testSwapPointer(void);

private slots:
    void cleanupTestCase(void);
    void cleanup(void);
};

//
// dtkComposerTransmitterTest.h ends here
